<!DOCTYPE html>
<html lang="en">
<head>
	<meta charset="UTF-8">
	<title>Публикации</title>
	<link rel="stylesheet" href="css/style.css">
</head>
<body>
	<header>

		<div class="inner_header">
			<img class="logo" src="images/logo/Logo2.png" alt="">
			<div class="logo_container">
					<h1>Di<span>git</span>al Unicorn</h1>
			</div>
			<ul class="navigation">
				<a href="index.html">
					<li>Публикации</li>
				</a>
				<a href="">
					<li>Новости</li>
				</a>
				<a href="BecomeAuthor.html">
					<li>Стать автором</li>
				</a>
				<div class="search">
					<li> <input type="search" placeholder="search..."> </li>
				</div>
				<a href="SignUp.html">
					<li class="sign_in">Войти</li>
				</a>
				
			</ul>
		</div>
	</header>
	<main>
		<div class="content">
		<div class="blog_container">
			
				<div class="blog_cover">
					
				
			<div class="blog_body">
				<div class="blog_title">
				<h1><a href="#">Асинхронное программирование в Phyton: краткий обзор</a></h1>
				</div>
				<div class="blog_text">
					<p>
						Когда говорят о выполнении программ, то под «асинхронным выполнением» понимают такую ситуацию, когда программа не ждёт завершения некоего процесса, а продолжает работу независимо от него. В качестве примера асинхронного программирования можно привести утилиту, которая, работая асинхронно, делает записи в лог-файл. Хотя такая утилита и может дать сбой (например, из-за нехватки свободного места на диске) , в большинстве случаев она будет работать правильно и ей можно будет пользоваться в различных программах. Они смогут её вызывать, передавая ей данные для записи, а после этого смогут продолжать заниматься своими делами.
					</p>
				</div>
				<div class="img_container">
					<img  src="images/pyton.png" alt="">
				</div>
				<div class="blog_text">
					<p>	Применение асинхронных механизмов при написании некоей программы означает, что эта программа будет выполняться быстрее, чем без использования подобных механизмов. При этом то, что планируется запускать асинхронно, вроде утилиты для логирования, должно быть написано с учётом возникновения нештатных ситуаций. Например, утилита для логирования, если место на диске закончилось, может просто прекратить логирование, а не «обваливать» ошибкой основную программу.Выполнение асинхронного кода обычно подразумевает работу такого кода в отдельном потоке. Это — если речь идёт о системе с одноядерным процессором. В системах с многоядерными процессорами подобный код вполне может выполняться процессом, пользующимся отдельным ядром. Одноядерный процессор в некий момент времени может считывать и выполнять лишь одну инструкцию. Это напоминает чтение книг. Нельзя читать две книги одновременно.Если вы читаете книгу, а кто-то даёт вам ещё одну книгу, вы можете взять эту вторую книгу и приступить к её чтению. Но первую придётся отложить. По такому же принципу устроено и многопоточное выполнение кода. А если бы несколько ваших копий читало бы сразу несколько книг, то это было бы похоже на то, как работают многопроцессорные системы.</p>
				</div>
				
			</div>
			<div class="button_container">
				<input type="button" name="read_more" value="Читать далеe" class="button">
			</div>

			<div class="blog_footer">
				<div class="like_dislike_container">
					<div class="like_container_flex_cover">
						<div class="like_container">
						<button type="button" name="like_button">	<img src="images/yes.png" alt=""> </button>
							<span>+</span>
							<p>2</p>
						</div>
					</div>
					<div class="dislike_container_flex_cover">
						<div class="dislike_container">
						<button type="button" name="dislike_button">	<img src="images/no.png" alt=""> </button>
							<span>-</span>
							<p>1</p>
						</div>
					</div>
				</div>
				<div class="empty_space"></div>
				<div class="author_container">
					<div class="author_login_time_container">
						<p class="author_login">Логин автора статьи</p>
						<p class="author_time">Вчера 14:26</p>
					</div>
					<div class="author_image_container">
						<img class="author_image" src="images/human.png" alt="">
					</div>
				</div>
			</div>

		</div>


	</div>

	<div class="blog_container">
			
				<div class="blog_cover">
					
				
			<div class="blog_body">
				<div class="blog_title">
				<h1><a href="#">Мощнее вашего ПК: обзор игрового ноутбука HP OMEN 17 (2019)</a></h1>
				</div>
				<div class="blog_text">
					<p>
					
					</p>
				</div>
				<div class="img_container">
					<img  src="images/nout.png" alt="">
				</div>
				<div class="blog_text">
					<p>	Раньше словосочетание «игровой ноутбук» считалось моветоном. Сейчас же некоторые ноутбуки вполне способны заткнуть за пояс не самые слабые домашние ПК. Один из таких — игровой ноутбук HP OMEN 17. Журналист Дмитрий Петренко разбирается, на что способен OMEN 17 в играх, стриминге и обычной работе. Пару дней назад решил разобрать шкаф, в который не помню, когда последний раз заглядывал. На одной из полок, в коробках из-под обуви аккуратными рядами сложены диски с играми.</p>
				</div>
				
			</div>
			<div class="button_container">
				<input type="button" value="Читать далее " class="button">
			</div>

			<div class="blog_footer">
				<div class="like_dislike_container">
					<div class="like_container_flex_cover">
						<div class="like_container">
						<button type="button">	<img src="images/yes.png" alt=""> </button>
							<span>+</span>
							<p>2</p>
						</div>
					</div>
					<div class="dislike_container_flex_cover">
						<div class="dislike_container">
						<button type="button">	<img src="images/no.png" alt=""> </button>
							<span>-</span>
							<p>1</p>
						</div>
					</div>
				</div>
				<div class="empty_space"></div>
				<div class="author_container">
						<div class="author_login_time_container">
						<p class="author_login">Логин автора статьи</p>
						<p class="author_time">Вчера 14:26</p>
					</div>
					<div class="author_image_container">
						<img class="author_image" src="images/human.png" alt="">
					</div>
				</div>
			</div>

		</div>


	</div>
	</div>
	</main>




	<script>document.write('<script src="http://' + (location.host || 'localhost').split(':')[0] + ':35729/livereload.js?snipver=1"></' + 'script>')</script>
</body>
</html>
